import { jsx as _jsx } from "react/jsx-runtime";
import { useBoothStore } from "../store";
/** Component for displaying console logs. */
export function Console() {
    const useStore = useBoothStore();
    const messages = useStore(state => state.messages);
    return (_jsx("output", Object.assign({ className: "lqv-console" }, { children: messages.map((m, i) => (_jsx("pre", Object.assign({ className: m.classNames.join(" ") }, { children: m.text }), `${i}.${m.text}`))) })));
}
