var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { jsx as _jsx } from "react/jsx-runtime";
import { PlaybackContext, usePlayback } from "liqvid";
import { useRef } from "react";
import { BoothStore, createStore } from "./store";
// buttons
export * from "./components/buttons";
export { Console } from "./components/Console";
export { Editor } from "./components/Editor";
export { Record } from "./components/Record";
export { Replay } from "./components/Replay";
export { Resize } from "./components/Resize";
export { TabPanel } from "./components/TabPanel";
export * from "./extensions";
export { useBoothStore } from "./store";
/**
 * Container for code editing/recording/replaying.
 */
export const CodeBooth = (props) => {
    const { activeGroup, children } = props, attrs = __rest(props, ["activeGroup", "children"]);
    const store = useRef();
    if (!store.current) {
        store.current = createStore({ activeGroup });
    }
    /* render */
    return (_jsx("div", Object.assign({ className: "lqv-codebooth", "data-affords": "click" }, attrs, { children: _jsx(BoothStore.Provider, Object.assign({ value: store.current }, { children: _jsx(PlaybackContext.Provider, Object.assign({ value: usePlayback() }, { children: props.children })) })) })));
};
