/// <reference types="react" />
import { Editor } from "./Editor";
/** Recording editor. */
export declare const Record: React.FC<{
    /**
     * Special key sequences to include in recording.
     * @default ["Mod-Enter", "Mod-L"]
     */
    captureKeys?: string[];
    /**
     * Key sequences to pass through to {@link Keymap}.
     * @default ["Mod-Alt-2", "Mod-Alt-3", "Mod-Alt-4"]
    */
    passKeys?: string[];
} & React.ComponentProps<typeof Editor>>;
