var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { jsx as _jsx } from "react/jsx-runtime";
import { useBoothStore } from "../store";
import { Children, cloneElement } from "react";
/** Holds a group of editors. */
export const TabPanel = (props) => {
    const { children, id } = props, attrs = __rest(props, ["children", "id"]);
    const useStore = useBoothStore();
    const active = useStore(state => state.activeGroup === id);
    return (_jsx("div", Object.assign({ "aria-expanded": active, "aria-labelledby": `tab-${id}`, hidden: !active, className: "lqv-tabpanel", id: `panel-${id}`, role: "tabpanel" }, attrs, { children: Children.map(children, node => {
            if (typeof node === "object" && "props" in node) {
                return cloneElement(node, { group: id });
            }
            return node;
        }) })));
};
