/// <reference types="react" />
export * from "./components/buttons";
export { Console } from "./components/Console";
export { Editor } from "./components/Editor";
export { Record } from "./components/Record";
export { Replay } from "./components/Replay";
export { Resize } from "./components/Resize";
export { TabPanel } from "./components/TabPanel";
export * from "./extensions";
export { useBoothStore } from "./store";
/**
 * Container for code editing/recording/replaying.
 */
export declare const CodeBooth: React.FC<{
    /** Name of active group. */
    activeGroup?: string;
} & React.HTMLAttributes<HTMLDivElement>>;
