/// <reference types="react" />
import { Extension } from "@codemirror/state";
import { Replay } from "../components/Replay";
/** HTML demo */
export declare function HTMLDemo(props: {
    initial?: Record<string, {
        activeFile: string;
        files: {
            content: string;
            filename: string;
        }[];
    }>;
    extensions?: Extension[];
}): JSX.Element;
/** Interactive HTML replay */
export declare const HTMLReplay: React.FC<{
    replay: React.ComponentProps<typeof Replay>["replay"];
    start: number;
}>;
/** Record HTML demos */
export declare const HTMLRecord: React.FC<{}>;
